Retrieve volume details
GET /account/{accountId}/providers/cloudmanager_cbs/api/v1/backup/working-environment/{workingEnvironmentId}/volume
Retrieves details of all the volumes for a specified system backed up by using the NetApp Backup and Recovery service. It retrieves the volume name, volume type, protocol, storage VM, backup status, last backup creation time, snapshot count, associated backup policy, and backup policy rules. It also retrieves details of the archive after days, object lock, ransomware scan status, last ransomware scan, and ransomware detected snapshots with last ransomware scan information.
Token usage: NetApp Console user token.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
partial |
boolean |
query |
False |
Returns only a partial response from the NetApp Backup and Recovery service database. API calls with this query parameter skip fetching data from ONTAP. |
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Response
Status: 200, Default response
| Name | Type | Required | Description |
|---|---|---|---|
volume |
array[volume] |
False |
Example response
{
"volume": [
{
"file-system-id": "string",
"name": "string",
"type": "string",
"style": "string",
"protocol": "string",
"svm": "string",
"status": "string",
"backup-status": "string",
"snapshot-count": "string",
"backup-policy": {
"name": "string",
"rule": [
{
"label": "string",
"retention": "string"
}
],
"archive-after-days": "string"
},
"snaplock-type": "string",
"lag": "string",
"capacity": {
"allocated": "string",
"used": "string",
"charging": "string",
"logicalUsedSize": "string"
},
"object-lock": "string",
"ransomware-scan-status": "string",
"ransomware-detected-snapshots": [
{
"snapshot-id": "string",
"snapshot-name": "string"
}
]
}
]
}
Definitions
See Definitions
rule
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
False |
|
retention |
string |
False |
backup-policy
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
|
rule |
array[rule] |
False |
|
archive-after-days |
string |
False |
capacity
| Name | Type | Required | Description |
|---|---|---|---|
allocated |
string |
False |
|
used |
string |
False |
|
charging |
string |
False |
|
logicalUsedSize |
string |
False |
ransomware-detected-snapshots
| Name | Type | Required | Description |
|---|---|---|---|
snapshot-id |
string |
False |
|
snapshot-name |
string |
False |
|
last-ransomware-scan |
number |
False |
volume
| Name | Type | Required | Description |
|---|---|---|---|
file-system-id |
string |
False |
|
name |
string |
False |
|
type |
string |
False |
|
style |
string |
False |
|
protocol |
string |
False |
|
svm |
string |
False |
|
status |
string |
False |
|
backup-status |
string |
False |
|
last-backup-creation-time |
number |
False |
|
snapshot-count |
string |
False |
|
backup-policy |
False |
||
snaplock-type |
string |
False |
|
lag |
string |
False |
|
capacity |
False |
||
object-lock |
string |
False |
|
ransomware-scan-status |
string |
False |
|
last-ransomware-scan |
number |
False |
|
ransomware-detected-snapshots |
False |
||
geometry |
number |
False |
|
aggregate-count |
number |
False |
|
cbsChargingEnabled |
boolean |
False |